Web lists-archives.com

Re: linux-kernel needs dist-upgrade (again)




On Fri, May 03, 2019 at 06:10:45AM +0000, Bonno Bloksma wrote:
> I would like to understand why apt-get upgrade holds backup the upgrade of the Linux kernel. 

Because the kernel ABI changed, and a new package has to be installed.
It's not just an upgrade of an existing package.

By default, "apt upgrade" will allow new packages to be installed, but
"apt-get upgrade" will not.

You can use "apt-get dist-upgrade".  Or you can use
"apt-get --with-new-pkgs upgrade".  Or you can (maybe?) tweak some variable
in apt.conf to make --with-new-pkgs the default behavior.